Package edu.msu.cme.rdp.classifier.comparison

## Interface Taxon

All Known Implementing Classes:
  `AbstractNode`, `TaxonTree`, `UncNode`

    public interface Taxon

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getIndent()`
`java.lang.String` `getName()`
`java.lang.String` `getRank()`
`int` `getS1Count()`
`int` `getS2Count()`
`java.lang.String` `getSignificance()`
`int` `getTaxid()`

### Method Detail

#### getName

    java.lang.String getName()

#### getRank

    java.lang.String getRank()

#### getTaxid

    int getTaxid()

#### getS1Count

    int getS1Count()

#### getS2Count

    int getS2Count()

#### getIndent

    int getIndent()

#### getSignificance

    java.lang.String getSignificance()